| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Properties | List of all members
LicenseSpring.LicenseUser Class Reference

Class that encapsulates information about the license user. More...

Inheritance diagram for LicenseSpring.LicenseUser:

## Properties
string | Email`[get, set]`
| License user email address.
string | FirstName`[get, set]`
| License user first name.
ulong | Id`[get, set]`
| Id of the license user.
string | InitialPassword`[get, set]`
| License user initial password.
bool | IsActive`[get, set]`
| Is the user active.
bool | IsInitialPassword`[get, set]`
| Does the user use initial password or already changed the password.True if initial password in use and false otherwise
string | LastName`[get, set]`
| License user last name.
ulong | LicenseId`[get, set]`
| License id of the user's license.
ulong | OrderId`[get, set]`
| Id of the order.
string | OrderStoreId`[get, set]`
| Store id of the order.
string | Phone`[get, set]`
| License user phone number.
Properties inherited from LicenseSpring.ILicenseUser

## Detailed Description

Class that encapsulates information about the license user.

## Property Documentation

## ◆ Email

string LicenseSpring.LicenseUser.Email
| get set

License user email address.

Implements LicenseSpring.ILicenseUser.

## ◆ FirstName

string LicenseSpring.LicenseUser.FirstName
| get set

License user first name.

Implements LicenseSpring.ILicenseUser.

## ◆ Id

ulong LicenseSpring.LicenseUser.Id
| get set

Id of the license user.

Implements LicenseSpring.ILicenseUser.

## ◆ InitialPassword

string LicenseSpring.LicenseUser.InitialPassword
| get set

License user initial password.

Implements LicenseSpring.ILicenseUser.

## ◆ IsActive

bool LicenseSpring.LicenseUser.IsActive
| get set

Is the user active.

Implements LicenseSpring.ILicenseUser.

## ◆ IsInitialPassword

bool LicenseSpring.LicenseUser.IsInitialPassword
| get set

Does the user use initial password or already changed the password.True if initial password in use and false otherwise

Implements LicenseSpring.ILicenseUser.

## ◆ LastName

string LicenseSpring.LicenseUser.LastName
| get set

License user last name.

Implements LicenseSpring.ILicenseUser.

## ◆ LicenseId

ulong LicenseSpring.LicenseUser.LicenseId
| get set

License id of the user's license.

Implements LicenseSpring.ILicenseUser.

## ◆ OrderId

ulong LicenseSpring.LicenseUser.OrderId
| get set

Id of the order.

Implements LicenseSpring.ILicenseUser.

## ◆ OrderStoreId

string LicenseSpring.LicenseUser.OrderStoreId
| get set

Store id of the order.

Implements LicenseSpring.ILicenseUser.

## ◆ Phone

string LicenseSpring.LicenseUser.Phone
| get set

License user phone number.

Implements LicenseSpring.ILicenseUser.

The documentation for this class was generated from the following file:

- LicenseUser.cs